<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:50 CEST 2015 -->
<title>LogischeDatei</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="LogischeDatei";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/HeaderFooter.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/LogischeDatei.html" target="_top">Frames</a></li>
<li><a href="LogischeDatei.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.Dtaus</div>
<h2 title="Class LogischeDatei" class="title">Class LogischeDatei</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.Dtaus.LogischeDatei</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">LogischeDatei</span>
extends java.lang.Object</pre>
<div class="block">Logische Datei innerhalb einer physikalischen DTAUS-Datei</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Heiner Jostkleigrewe</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#asatz">asatz</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#cpos">cpos</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#csaetze">csaetze</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#esatz">esatz</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#LogischeDatei(de.jost_net.OBanToo.Dtaus.ASatz)">LogischeDatei</a></strong>(<a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a>&nbsp;asatz)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#addCSatz(de.jost_net.OBanToo.Dtaus.CSatz)">addCSatz</a></strong>(<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&nbsp;csatz)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#getASatz()">getASatz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#getESatz()">getESatz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#getNextCSatz()">getNextCSatz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/LogischeDatei.html#setESatz(de.jost_net.OBanToo.Dtaus.ESatz)">setESatz</a></strong>(<a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a>&nbsp;esatz)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="asatz">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asatz</h4>
<pre>private&nbsp;<a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a> asatz</pre>
</li>
</ul>
<a name="csaetze">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>csaetze</h4>
<pre>private&nbsp;java.util.Vector&lt;<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&gt; csaetze</pre>
</li>
</ul>
<a name="esatz">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>esatz</h4>
<pre>private&nbsp;<a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a> esatz</pre>
</li>
</ul>
<a name="cpos">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cpos</h4>
<pre>private&nbsp;int cpos</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LogischeDatei(de.jost_net.OBanToo.Dtaus.ASatz)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LogischeDatei</h4>
<pre>public&nbsp;LogischeDatei(<a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a>&nbsp;asatz)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getASatz()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getASatz</h4>
<pre>public&nbsp;<a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html" title="class in de.jost_net.OBanToo.Dtaus">ASatz</a>&nbsp;getASatz()</pre>
</li>
</ul>
<a name="addCSatz(de.jost_net.OBanToo.Dtaus.CSatz)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCSatz</h4>
<pre>public&nbsp;void&nbsp;addCSatz(<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&nbsp;csatz)</pre>
</li>
</ul>
<a name="getNextCSatz()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextCSatz</h4>
<pre>public&nbsp;<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&nbsp;getNextCSatz()</pre>
</li>
</ul>
<a name="setESatz(de.jost_net.OBanToo.Dtaus.ESatz)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setESatz</h4>
<pre>public&nbsp;void&nbsp;setESatz(<a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a>&nbsp;esatz)</pre>
</li>
</ul>
<a name="getESatz()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getESatz</h4>
<pre>public&nbsp;<a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html" title="class in de.jost_net.OBanToo.Dtaus">ESatz</a>&nbsp;getESatz()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/HeaderFooter.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/LogischeDatei.html" target="_top">Frames</a></li>
<li><a href="LogischeDatei.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
